cancel
Showing results for 
Search instead for 
Did you mean: 

There has been an error processing your request... HELP!

There has been an error processing your request... HELP!

Hi, 

 

Cannot access our store, this is the error code..

 

 

a:4:{i:0;s:427:"Please upgrade your database: Run "bin/magento setup:upgrade" from the Magento root directory. 

The following modules are outdated:
Magento_Quote schema: current version - 2.0.2, required version - 2.0.1
Magento_Quote data: current version - 2.0.2, required version - 2.0.1
Magento_Integration schema: current version - 2.0.1, required version - 2.0.0
Magento_Integration data: current version - 2.0.1, required version - 2.0.0

";i:1;s:1780:"#0 [internal function]: Magento\Framework\Module\Plugin\DbStatusValidator->aroundDispatch(Object(Magento\Framework\App\FrontController\Interceptor), Object(Closure), Object(Magento\Framework\App\Request\Http))
#1 /home/autoparts/public_html/vendor/magento/framework/Interception/Chain/Chain.php(68): call_user_func_array(Array, Array)
#2 /home/autoparts/public_html/vendor/magento/framework/Interception/Interceptor.php(136): Magento\Framework\Interception\Chain\Chain->invokeNext('Magento\\Framewo...', 'dispatch', Object(Magento\Framework\App\FrontController\Interceptor), Array, 'storeCookieVali...')
#3 /home/autoparts/public_html/vendor/magento/module-store/Model/Plugin/StoreCookie.php(78): Magento\Framework\App\FrontController\Interceptor->Magento\Framework\Interception\{closure}(Object(Magento\Framework\App\Request\Http))
#4 [internal function]: Magento\Store\Model\Plugin\StoreCookie->aroundDispatch(Object(Magento\Framework\App\FrontController\Interceptor), Object(Closure), Object(Magento\Framework\App\Request\Http))
#5 /home/autoparts/public_html/vendor/magento/framework/Interception/Interceptor.php(141): call_user_func_array(Array, Array)
#6 /home/autoparts/public_html/var/generation/Magento/Framework/App/FrontController/Interceptor.php(26): Magento\Framework\App\FrontController\Interceptor->___callPlugins('dispatch', Array, Array)
#7 /home/autoparts/public_html/vendor/magento/framework/App/Http.php(115): Magento\Framework\App\FrontController\Interceptor->dispatch(Object(Magento\Framework\App\Request\Http))
#8 /home/autoparts/public_html/vendor/magento/framework/App/Bootstrap.php(258): Magento\Framework\App\Http->launch()
#9 /home/autoparts/public_html/index.php(39): Magento\Framework\App\Bootstrap->run(Object(Magento\Framework\App\Http))
#10 {main}";s:3:"url";s:8:"/13fkkr/";s:11:"script_name";s:10:"/index.php";}

 

 

Please help.

 

Regards, Reece.

2 REPLIES

Re: There has been an error processing your request... HELP!

Hi Reece,

 

It looks like your database has newer versions of your schema (Quote/Integration) than the modules.

 

You can attempt running the following. However, I do not believe it will work as your installation is looking for older versions, not newer.

bin/magento setup:upgrade

Generally the easiest form of action would be restoring from a backup that works.

 

I have seen this happen in the past with new installs when using stable/development branches for testing, is that the case for you? If so your best bet would be reinstalling using the correct branches.

Leslie B.
Aspiration Hosting - Magento 1 & 2 Optimized Cloud Hosting
Problem solved? Click Accept as Solution!

Re: There has been an error processing your request... HELP!

I did run this command despite that I am getting the same error. 

 

Did run all these commands but not getting the solution.

 

bin/magento setup:static-content:deploy

 

bin/magento cache:clean

 

bin/Magento setup:upgrade     

 

I have installed magento2.2.  What's solution of it?

Thank you,